<h1>WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo</h1>


<h1>Reactor Package:</h1>

This example composite was installed using the "KartaVR Examples | Canon 180VR Comp" atom package found in the <a href="https://gitlab.com/WeSuckLess/Reactor">Reactor Package Manager</a> for BMD Resolve/Fusion.

<p><img src="Reactor:/Deploy/Comps/KartaVR/WarpStitch/WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo/Docs/Reactor Atom Package Small.png"></p>


<h1>Requires:</h1>

<p><b>BMD Resolve Studio/Fusion Studio v17.x</b>
<ul>
<li>Combiner Node</li>
<li>Anaglyph Node</li> 
</ul>
</p>

<p>
<b>KartaVR for Fusion v5</b>
<ul>
<li>WarpStitchUltra Fuse</li>
<li>Reframe360Ultra Fuse</li>
</ul>
</p>

<h1>Overview</h1>

<p><img src="Reactor:/Deploy/Comps/KartaVR/WarpStitch/WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo/Docs/WarpStitch Canon 180VR Small.png"></p>

<p>This example processes Canon EOS 180VR footage filmed with a Canon EOS R5 Camera Body and a Canon RF 5.2mm Dual Stereo Fisheye 190° Lens.</p>

<p><img src="Reactor:/Deploy/Comps/KartaVR/WarpStitch/WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo/Docs/Canon RF52.png"></p>

<p>The fisheye imagery is warped by the KartaVR WarpStitch Fuse, then passed into a Combiner node to place the left and right eye view images into a side-by-side 180°x180° cropped LatLong VR180 output.</p>

<p><img src="Reactor:/Deploy/Comps/KartaVR/WarpStitch/WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo/Docs/Combiner.png"></p>

<p>The right eye view "R_kvrWarpStitchUltra" node uses expressions to link the Tilt, Pan, and Roll attributes to the left eye view, with a "balanced" mirrored transform effect applied by multiplying the number by minus 1.</p>

<p><img src="Reactor:/Deploy/Comps/KartaVR/WarpStitch/WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo/Docs/Rotate Sphere Expressions.png"></p>

<p>A reframed "flat" view of the imagery can be previewed at the end of the comp with the help of the KartaVR Reframe360Ultra node. There Reframe360Ultra node has three "Version" presets for pre-defined viewing positions and zoom levels.</p>

<p><img src="Reactor:/Deploy/Comps/KartaVR/WarpStitch/WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo/Docs/Reframe Versions.png"></p>

<p>The Resolve/Fusion provided Anaglyph node was used to generate the Red/Cyan coloured anaglyph stereo 3D output.</p>

<p><img src="Reactor:/Deploy/Comps/KartaVR/WarpStitch/WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo/Docs/EOS Anaglyph.png"></p>

<p><img src="Reactor:/Deploy/Comps/KartaVR/WarpStitch/WarpStitch Canon 180VR RF 5.2mm Dual Fisheye Stereo/Docs/Anaglyph.png"></p>

<p>The Canon EOS 180VR media used in this example composite features Keeley Ann Turner sitting in a DeLorean car at CES 2022. The footage was photographed by Hugh Hou (<a href="https://www.youtube.com/hughhoufilm">https://www.youtube.com/hughhoufilm<a/>).</p>

<p>Media (c) Copyright 2022 Hugh Hou.</p>

<p>The media was made available for use in Resolve/Fusion/KartaVR based immersive tutorials and example project files under a Creative Commons Attribution-ShareAlike 4.0 International License (<a href="https://creativecommons.org/licenses/by-sa/4.0/">https://creativecommons.org/licenses/by-sa/4.0/</a>).</p>